Loading...
Searching...
No Matches
bulkcfg::BulkConfiguration::Filter Struct Reference

This structure defines a filter. More...

`import <BulkConfiguration.idl;`

## Public Attributes

string | name
| internal name of the filter
string | displayName
| name of the filter in the user interface
boolean | noOverride
| true if filter is always active and has a fixed type
boolean | bulkOnly
| true if filter is not for backup
vector< string > | ruleSpecs
| filter rule specifications (used only internally)

## Detailed Description

This structure defines a filter.

Definition at line 43 of file BulkConfiguration.idl.

## Member Data Documentation

## bulkOnly

boolean bulkcfg::BulkConfiguration::Filter::bulkOnly

true if filter is not for backup

Definition at line 47 of file BulkConfiguration.idl.

## displayName

string bulkcfg::BulkConfiguration::Filter::displayName

name of the filter in the user interface

Definition at line 45 of file BulkConfiguration.idl.

## name

string bulkcfg::BulkConfiguration::Filter::name

internal name of the filter

Definition at line 44 of file BulkConfiguration.idl.

## noOverride

boolean bulkcfg::BulkConfiguration::Filter::noOverride

true if filter is always active and has a fixed type

Definition at line 46 of file BulkConfiguration.idl.

## ruleSpecs

vector<string> bulkcfg::BulkConfiguration::Filter::ruleSpecs

filter rule specifications (used only internally)

Definition at line 48 of file BulkConfiguration.idl.

The documentation for this struct was generated from the following file:

- BulkConfiguration.idl